Community mailing list archives

Re: Error xpath view [9.0]

- 11/18/2015 09:52:11
Hi Luke

This is the repo:

Hi Martin, 

Yeah, Ok, maybe that is the path to follow, I thought it was something I was missing from v9, and could be an easy thing to solve.

On Wed, Nov 18, 2015 at 10:17 AM, Martin Trigaux <> wrote:

On 18/11/15 15:38, Kristian Koci wrote:
> I'm trying to install the module 'website_sale_products_per_page'
> It's not developed by me though
> But I keep getting this error on v9:
> *Error details:*
> *View inheritance may not use attribute 'string' as a selector.*


In version 9 the xpath based on the string attribute like, in this module:
<xpath expr="//group[@string='Menu']" position="after">

is no longer permitted. This was a bad practice as using the text for 
identify an element is not very stable (the text may change through 
time) and not working with translations (different word).

So this module does not work in 9.0, you should contact the developer 
that wrote it to report the issue.


Martin Trigaux
Odoo (Formerly OpenERP)

Post to:

Kristian Koci
Linux User #582221